/* SOLUTIONS BASE STYLES */
.solutions {
  font-family: Roboto;

  h1 {
    font-size: 96px;
    font-weight: 300;
    line-height: 96px;
    margin-bottom: 160px;
  }

  p {
    font-size: 20px;
    font-weight: 400;
    line-height: 32px;
  }

  h2 {
    font-size: 64px;
    font-weight: 300;
    line-height: 72px;
    margin-bottom: 24px;
  }

  h3 {
    font-size: 40px;
    font-weight: 300;
    line-height: 48px;
    margin-bottom: 24px;
  }

  .btn--outline {
    background-color: transparent;
    border: 1px solid #fff;
    color: #fff;
    display: block;
    font-size: 18px;
    font-weight: 600;
    line-height: 24px;
    margin-top: 40px;
    padding: 12px 24px;
    text-align: center;
    transition: color 250ms ease-in-out, background-color 250ms ease-in-out;
    width: fit-content;
  }

  .btn--outline-alt {
    border: 1px solid #263C3F;
    color: #263C3F;
  }

  .btn--outline:hover {
    background-color: #fff;
    color: #263C3F;
  }

  .btn--outline-alt:hover {
    background-color: #263C3F;
    color: #fff;
  }

  .grid-wrapper {
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    gap: 40px;
    margin: 0 auto;
    padding: 0 1.875rem;
    max-width: 1400px;
  }

  .reveal-right,
  .reveal-bottom {
    transition: transform 250ms ease-in-out, opacity 250ms ease-in-out;
  }

  .reveal-fadeIn {
    transition: opacity 250ms ease-in-out;
  }
}

/* SOLUTIONS HERO */
.solutions-hero {
  min-height: 100vh;
  overflow: hidden;
  padding: 256px 0 136px;
  position: relative;

  p {
    font-size: 24px;
    font-weight: 300;
  }

  .grid-wrapper {
    z-index: 2;
  }
}

.solutions-hero:before {
  background: linear-gradient(180deg, rgba(0, 0, 0, 0.5) 0%, rgba(0, 0, 0, 0.8) 100%);
  content: '';
  opacity: .5;
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  z-index: 1;
}

.solutions-hero__content {
  color: #fff;
  grid-column: span 12;
  position: relative;
  z-index: 2;
}

.solutions-hero__image {
  height: 100%;
  left: 50%;
  position: absolute;
  top: 50%;
  transform: translate(-50%, -50%);
  width: 100vw;
  z-index: 1;

  img {
    height: 100%;
    object-fit: cover;
    width: 100%;
  }
}

/* SOLUTIONS ANCHOR NAVIGATION */
.solutions-navigation {
  background-color: #5E1668;
  color: #fff;
}

.solutions-navigation--static {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  grid-column: span 12;
  padding: 160px 0 120px;
}

.solutions-navigation--static a {
  font-size: 64px;
  font-weight: 200;
  line-height: 64px;
  margin-bottom: 40px;
  text-transform: uppercase;
  width: fit-content;
}

.solutions-navigation--static a:not(:last-of-type) {
  margin-right: 40px;
}

.solutions-navigation--fixed {
  height: 0;
  background-color: #fff;
  color: #263C3F;
  font-size: 16px;
  font-weight: 500;
  grid-column: span 12;
  line-height: 24px;
  opacity: 0;
  position: sticky;
  top: calc(var(--header-height, 0px) + var(--admin-toolbar-height, 0px));
  transition: opacity 250ms ease-in-out;
  z-index: 10;

  .solutions-navigation--active:after {
    width: 100%;
  }
}

.solutions-navigation--fixed-show {
  height: 100%;
  padding: 12px 0 8px;
  opacity: 1;
}

.solutions-navigation--fixed .grid-wrapper div {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  grid-column: span 12;
  overflow-x: scroll;
  overflow-y: hidden;
  -webkit-overflow-scrolling: touch;
  scrollbar-width: none;
  -ms-overflow-style: none;

  a {
    text-transform: uppercase;
    min-width: fit-content;
  }

  a:after {
    background-color: #5E1668;
  }

  a:not(:last-of-type) {
    margin-right: 24px;
  }
}

.solutions-navigation--fixed .grid-wrapper div::-webkit-scrollbar {
  display: none;
}

.solutions-navigation--static a,
.solutions-navigation--fixed a {
  display: block;
  position: relative;
  width: fit-content;
}

.solutions-navigation--static a:after,
.solutions-navigation--fixed a:after {
  background-color: #fff;
  bottom: -8px;
  content: '';
  left: 0;
  position: absolute;
  transition: 250ms width ease-in-out;
  width: 0;
}

.solutions-navigation--static a:after {
  height: 2px;
}

.solutions-navigation--fixed a:after {
  height: 4px;
}

.solutions-navigation--static a:hover:after,
.solutions-navigation--fixed a:hover:after {
  width: 100%;
}

.solutions-content__wrapper {
  position: relative;
}

/* SOLUTIONS INNOVATIONS */
.solutions-innovations__container {
  min-height: 100vh;
  padding: 206px 0;
  position: relative;
}

.solutions-innovations__video {
  height: 100%;
  left: 50%;
  position: absolute;
  top: 50%;
  transform: translate(-50%, -50%);
  width: 100vw;
  z-index: 1;

  video {
    height: 100%;
    object-fit: cover;
    width: 100%;
  }
}

.solutions-innovations__video:before {
  background-color: #000;
  content: '';
  display: block;
  height: 100%;
  opacity: .5;
  position: absolute;
  width: 100%;
}

.solutions-innovations .grid-wrapper {
  position: relative;
  z-index: 2;
}

.solutions-innovations__content {
  color: #fff;
  grid-column: span 6;
}

.solutions-innovations__play {
  color: #fff;
  align-items: center;
  display: flex;
  flex-direction: column;
  justify-content: center;
  font-size: 18px;
  font-weight: 600;
  grid-column: span 6;
  line-height: 24px;
  text-align: center;
}

.solutions-innovations__play a {
  position: relative;
  transition: color 250ms ease-in-out;
  width: fit-content;
}

.solutions-innovations__play a:hover {
  color: #7FB83F;
}

.solutions-innovations__play a:before {
  background-color: #fff;
  display: block;
  mask: url("../images/play-btn.svg");
  mask-repeat: no-repeat;
  mask-size: 99px 99px;
  content: '';
  height: 99px;
  left: 50%;
  margin-bottom: 16px;
  position: relative;
  top: 0;
  transform: translateX(-50%);
  transition: background-color 250ms ease-in-out;
  width: 99px;
}

.solutions-innovations__play a:hover:before {
  background-color: #7FB83F;
}

.solutions-innovations__more {
  padding: 80px 0;

  .grid-wrapper {
    align-items: center;
  }
}

.solutions-innovations__more-content {
  grid-column: span 6;
  height: fit-content;

  p {
    font-size: 18px;
    font-weight: 400;
    line-height: 28px;
  }
}

.solutions-innovations__more-video {
  grid-column: span 6;
  position: relative;
}

.solutions-innovations__more-video:hover {
  cursor: pointer;
}

.solutions-innovations__more-video:hover:before {
  background-color: #7FB83F;
}

.solutions-innovations__more-video:before {
  background-color: #fff;
  content: "";
  mask: url("../images/play-btn.svg");
  mask-repeat: no-repeat;
  mask-size: 72px 72px;
  height: 72px;
  left: 50%;
  position: absolute;
  top: 50%;
  transform: translate(-50%, -50%);
  transition: background-color 250ms ease-in-out;
  width: 72px;
  z-index: 2;
}

.solutions-innovations__more-video:after {
  content: "";
  background: #000;
  height: 100%;
  position: absolute;
  left: 0;
  opacity: .25;
  top: 0;
  width: 100%;
  z-index: 1;
}

/* SOLUTIONS TRAINING */
.solutions-training {
  color: #263C3F;
  padding: 160px 0 142px;
}

.solutions-training__top {
  grid-column: span 12;
  margin-bottom: 60px;
  text-align: center;
}

.solutions-training__bottom {
  padding: 0 !important;
  grid-column: span 12;
}

.solutions-training__bottom figure,
.solutions-training__bottom div {
  grid-column: span 6;
}

.solutions-training__bottom figure img {
  width: 100%;
}

.solutions-training__bottom figcaption {
  background-color: #7FB83F;
  color: #fff;
  font-size: 16px;
  font-weight: 400;
  line-height: 24px;
  padding: 16px 15% 16px 16px;
}

.solutions-training__bottom div ul {
  font-size: 20px;
  font-weight: 400;
  line-height: 32px;
  letter-spacing: -0.015em;
  counter-reset: my-sec-counter;
  margin-bottom: 40px;

  li {
    align-items: center;
    display: flex;
    margin-bottom: 16px;
  }

  li:before {
    align-items: center;
    content: counter(my-sec-counter);
    counter-increment: my-sec-counter;
    font-size: 32px;
    font-weight: 300;
    height: 32px;
    line-height: 32px;
    letter-spacing: -0.04em;
    width: 32px;
  }

  li:nth-child(3n+1):before {
    color: #7FB83F;
  }

  li:nth-child(3n+2):before {
    color: #388F43;
  }

  li:nth-child(3n+3):before {
    color: #008A90;
  }
}


/* SOLUTIONS WEBINARS */
.solutions-webinars {
  padding: 160px 0;
}

.solutions-webinars__wrapper:not(:first-of-type) {
  margin-top: 40px;
}

.solutions-webinars__wrapper {
  display: grid;
  grid-template-columns: repeat(12, 1fr);
  gap: 0 40px;
  margin: 0 auto;
  padding: 0 1.875rem;
  max-width: 1400px;

  h2,
  p {
    text-align: center;
  }

  h2 {
    grid-column: span 12;
  }

  p {
    grid-column: 3 / span 8;
  }

  .btn--outline {
    grid-column: span 12;
    justify-self: center;
    width: fit-content;
  }
}

.solutions-webinars .webinars-view {

  .slick-track {
    display: flex;
    gap: 0 40px;
  }

  .webinars-view__link {
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    overflow: hidden;
    min-width: 320px;
    height: auto;
  }

  .webinars-view__thumbnail {
    aspect-ratio: 16/9;
    display: block;
    height: 100%;
    position: relative;
    width: 100%;
  }

  .webinars-view__thumbnail img {
    height: 100%;
    left: 0;
    position: absolute;
    object-fit: cover;
    top: 0;
    width: 100%;
  }

  .webinars-view__content {
    background-color: #fff;
    color: #263C3F;
    padding: 16px;
    height: 100%;

    h2 {
      font-size: 16px;
      font-weight: 700;
      line-height: 24px;
      margin-bottom: 8px;
    }

    p {
      font-size: 12px;
      font-weight: 400;
      line-height: 16px;
    }
  }
}

.solutions-webinars__marquee {
  min-height: 300px;
  margin: 64px 0 24px;
}

.solutions-webinars__marquee-image {
  height: 300px;
  width: 320px;

  img {
    height: 100%;
    object-fit: cover;
    width: 100%;
  }
}

/* SOLUTIONS LUNCH & LEARN */
.solutions-lunch {
  background-color: #F6F7F8;
  color: #3B3C3D;
  padding: 160px 0;
}

.solutions-lunch__content,
.solutions-lunch__delegates {
  grid-column: span 12;
}

.solutions-lunch__content {
  display: grid;
  grid-template-columns: repeat(12, 1fr);
  gap: 40px;
}

.solutions-lunch__text {
  grid-column: span 8;
}

.solutions-lunch__image {
  grid-column: span 4;
}

.solutions-lunch__delegates {
  display: none;

  h3 {
    font-size: 24px;
    font-weight: 400;
    line-height: 32px;
  }
}

.solutions-lunch__delegates-wrapper {
  display: grid;
  grid-template-columns: repeat(12, 1fr);
  gap: 40px;
}

.solutions-lunch__delegates-wrapper .views-element-container {
  grid-column: span 12;
}

.solutions-lunch__delegates-wrapper .popup-delegates-info {
  background-color: transparent;
  border: 0;
  padding: 0;
  bottom: 0 !important;
  display: block;
  left: 0;
  opacity: 1 !important;
  position: relative;
  max-width: none;
  box-shadow: none;
}

.solutions-lunch__delegates-wrapper .solutions-lunch__delegates-items {
  display: grid;
  grid-template-columns: repeat(12, 1fr);
  gap: 40px;
}

.solutions-lunch__delegates-item {
  align-items: center;
  background-color: #fff;
  border-radius: 8px;
  grid-column: span 12;
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  padding: 16px;
  box-shadow: 0 4px 6px 0 #0000001A;
  grid-column: span 4;
}

.solutions-lunch__delegates-item:not(:last-of-type) {
  border-bottom: solid 1px #DCDDDE;
}

.solutions-lunch__delegates-item-images {
  position: relative;
  width: fit-content;

  img {
    border-radius: 100%;
    height: 48px;
    object-fit: cover;
    width: 48px;
  }

  .solutions-lunch__delegates-item-category {
    border: 1px solid #fff;
    border-radius: 100%;
    bottom: -5px;
    position: absolute;
    right: -5px;

    img {
      height: 24px;
      width: 24px;
    }
  }
}

.solutions-lunch__delegates-item-content {
  padding-left: 12px;
}

.solutions-lunch__delegates-item-contact {
  align-items: center;
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
}

.solutions-lunch__delegates-item-phone {
  margin-right: 8px;
}

.solutions-lunch__delegates-item-email {
  background: url("../images/delegate-email.svg");
  background-size: 20px 16px;
  background-repeat: no-repeat;
  height: 16px;
  width: 20px;
}


/* SOLUTIONS BROCHURE */
.solutions-brochure {
  padding: 128px 0;
}

.solutions-brochure__content,
.solutions-brochure__image {
  grid-column: span 6;
}

.solutions-brochure__content {
  margin-top: 24px;
}


/* SOLUTIONS PRODUCTS */
.solutions-products {
  padding: 128px 0 100px;
}

.solutions-products__wrapper {
  display: grid;
  grid-template-columns: repeat(12, 1fr);
  gap: 40px;
  margin: 0 auto;
  padding: 0 1.875rem;
  max-width: 1400px;
  text-align: center;

  h2 {
    grid-column: span 12;
    margin-bottom: 66px;
  }
}

.solutions-products__slider {
  margin-top: 16px;

  .product-cards__item {
    background-color: #F6F7F7;
    display: block;
  }

  .title-product {
    font-weight: bold;
    font-size: 1.25rem;
    line-height: 1.4375rem;
    color: #233135;
    margin-bottom: 0.625rem;
  }

  .slick-dots {
    > li {
      display: inline-block;
    }
    > li:only-child {
      display: none;
    }
  }

  .slick-track {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    align-items: stretch;
  }

  .slick-slide {
    height: auto;
  }

  .slick-slide {
    display: block;
    margin: 0 10px;

    .card-body {
      padding: 1.25rem;

      .list-categories .status {
        margin-bottom: 0.4375rem;
        position: relative;
        font-weight: bold;
        font-size: 0.875rem;
        line-height: 0.6875rem;
        text-transform: uppercase;
        padding-left: 0.9375rem;

        .icon-status {
          position: absolute;
          left: 0;
          top: 0;
          width: 0.625rem;
          height: 0.625rem;
          border-radius: 50%;
        }
      }
    }

    .card-image {
      margin-bottom: 1.4375rem;

      img {
        padding: 0.75rem;
        max-height: 300px;
        height: 100%;
        object-fit: contain;
        width: 100%;
      }
    }
  }

  .slick-list {
    margin: 0 -10px;
  }

  .slick-dots {
    bottom: 0;
    margin-top: 72px;
    position: relative;

    li {
      background-color: #DCDDDE;
      height: 16px;
      opacity: 1;
      transition: background-color 250ms ease-in-out;
      width: 16px;
    }

    li:hover {
      background-color: #7FB83F;
    }

    li.slick-active {
      background-color: #008A90;
    }
  }
}

@media only screen and (max-width: 1023px) {
  .solutions-lunch__delegates-item {
    grid-column: span 6;
  }
}


@media only screen and (max-width: 767px) {
  .solutions {
    h1 {
      font-size: 48px;
      line-height: 48px;
      margin-bottom: 45px;
    }

    p {
      font-size: 20px;
      font-weight: 400;
      line-height: 32px;
    }

    h2 {
      font-size: 32px;
      line-height: 36px;
      margin-bottom: 24px;
    }

    h3 {
      font-size: 24px;
      line-height: 28px;
      margin-bottom: 24px;
    }

    .grid-wrapper {
      gap: 30px 16px;
    }
  }

  .solutions-navigation--static {
    flex-direction: column;
    padding: 40px 0 20px;
  }

  .solutions-navigation--static a {
    font-size: 32px;
    line-height: 32px;
    margin-bottom: 20px;
    text-transform: uppercase;
    width: fit-content;
  }

  .solutions-navigation--static a:not(:last-of-type) {
    margin-right: 20px;
  }

  .solutions-lunch__content {
    gap: 16px;
  }

  .solutions-lunch__text {
    grid-column: span 12;
  }

  .solutions-lunch__image {
    grid-column: span 12;
  }

  .solutions-lunch__delegates-item {
    grid-column: span 12;
  }

  .solutions-brochure {
    padding: 64px 0;
  }

  .solutions-brochure__content,
  .solutions-brochure__image {
    grid-column: span 12;
  }

  .solutions-innovations__content,
  .solutions-innovations__play {
    grid-column: span 12;
  }

  .solutions-innovations__play {
    margin-top: 64px;
  }

  .solutions-innovations__more-content,
  .solutions-innovations__more-video {
    grid-column: span 12;
  }

  .solutions-innovations__container {
    padding: 103px 0;
  }

  .solutions-training {
    padding: 80px 0 71px;
  }

  .solutions-training__bottom figure,
  .solutions-training__bottom div {
    grid-column: span 12;
  }

  .solutions-webinars {
    padding: 80px 0;
  }

  .solutions-webinars .webinars-view {
    .slick-track {
      gap: 0 16px;
    }
  }

  .solutions-webinars__wrapper {
    gap: 0 16px;

    p {
      grid-column: span 12;
    }
  }

  .solutions-lunch {
    padding: 80px 0;
  }

  .solutions-lunch__delegates-wrapper,
  .solutions-lunch__delegates-wrapper .solutions-lunch__delegates-items {
    gap: 16px;
  }

  .solutions-navigation--fixed .grid-wrapper div {
    a:not(:last-of-type) {
      margin-right: 16px;
    }
  }

  .solutions-products {
    padding: 96px 0;

    h2 {
      font-size: 40px;
    }
  }

  .solutions-products__wrapper {
    gap: 16px;
  }

  .solutions-products__slider .slick-list {
    margin: 0;
    max-width: 100vw;
  }
}
